Name:          perl-SDL
Version:       2.548
Release:       3mamba
Summary:       SDL_perl Multimedia Perl Extension
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sdl.perl.org/
Source:        http://search.cpan.org/CPAN/authors/id/F/FR/FROGGS/SDL-%{version}.tar.gz
Patch0:        perl-SDL-2.540-perl-5.16.2.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_Pango-devel
BuildRequires: libSDL_gfx-devel
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libperl
BuildRequires: perl-Alien-SDL
BuildRequires: perl-Archive-Zip
BuildRequires: perl-Module-Build
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-Tie-Simple
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
# required if create a new build 
BuildRequires: perl-Module-Build
BuildRequires: perl-ExtUtils-CBuilder
BuildRequires: perl-YAML
BuildRequires: perl-Test-Most
BuildRequires: perl-Alien-SDL >= 1.440-2mamba
BuildRequires: libSDL_gfx-devel >= 2.0.26
Provides:      perl(SDL::Constants)
Provides:      perl(SDL::OpenGL::Constants)
Provides:      SDL_perl
Obsoletes:     SDL_perl <= 2.548-1mamba
Provides:      SDL_Perl
Obsoletes:     SDL_Perl <= 2.548-1mamba

# FIXME: checks for `CON_console.h' not provided by `libSDL_console-devel'

%description
SDL_perl provides multimedia programming support for perl through use of the Simple DirectMedia Layer http://www.libsdl.org.
It provides both a high level, object orient develpment framework, and a low level C style API.
SDL_perl supports a variety of additional SDL libraries, such as SDL_image, SDL_mixer, SDL_ttf, and SDL_net.

%prep
%setup -q -n SDL-%{version}
#%patch0 -p1

%build
perl Build.PL installdirs=vendor
./Build
#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
./Build install --destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean 
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f .packlist
%defattr(-,root,root)
%doc COPYING
#CHANGELOG README TODO

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 2.548-3mamba
- rebuilt with perl 5.36.0

* Fri Dec 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.548-2mamba
- rebuilt with libSDL_gfx 2.0.26

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 2.548-1mamba
- automatic update by autodist

* Sat Nov 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.546-1mamba
- update to 2.546

* Thu Jul 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.541_10-2mamba
- rebuilt with libSDL_gfx 2.0.24 which means rebuilt with updated perl-Alien-SDL

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 2.541_10-1mamba
- automatic version update by autodist

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 2.540-1mamba
- update to 2.540

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-4mamba
- perl 5.16 mass rebuild

* Fri Dec 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-3mamba
- rebuilt with libSDL_gfx 2.0.23

* Sun Oct 24 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2.6-2mamba
- rebuilt with installdirs=vendor

* Sat Jul 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-1mamba
- update to 2.2.6

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-3mamba
- automatic rebuild by autodist

* Sun Jul 13 2008 gil <puntogil@libero.it> 2.1.3-2mamba
- removed: LD_LIBRARY_PATH, Build test (rebuild failed)
- new buildrequires: perl-Module-Build, perl-ExtUtils-CBuilder, perl-YAML

* Tue Jul 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- update to 2.1.3
- rename to perl-SDL; provide SDL_perl and SDL_Perl

* Fri Jun 10 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.20.3-1qilnx
- update to version 1.20.3 by autospec

* Thu Nov 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.19.2-2qilnx
- rebuild and moved to devel official QiLinux repository
- added missing build requirements
- specfile rewritten to use the standard for perl packages

* Wed Sep 08 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.19.2-1qilnx
- first build
